Subject: Re: Multilingual Databases Review

From: Jacob Morrison <[email-masked]>
Date: Wed, 6 Aug 1997 17:15:31 +0800

Richard,

I would love to hear what you come up with.
I will throw in what little I know.

Most popular databases handle various character sets, but only
one at a time.

For multilingual computing, there is really only Unicode
(see http://www.unicode.org/). If you can store Unicode
in your server, then you can handle data in almost any
language simultaneously. This simplifies the design
considerably.

If the database supports Unicode properly,
the data should be transparently translated between the
character set for the database and the character set for the client.
If you are handling your own character set conversion,
Unicode UTF-8 encoding should work with almost any database.
Performance won't be so great, though, compared to UCS2.

Suport for UCS2 is supposed to be in Oracle 7.3,
but no-one in Oracle seems to know what's going on if
you ask how to use it.

One database that is not on your list is ADABAS D from
Software AG. I saw a demo of this at the Unicode converence
in HK a year or so ago. It uses UCS2 internally, allowing very
fast performance. It can do amazing things like join tables
in different character sets on the fly, presenting the
data to the user in the client character set.

SAP can handle Asian characters, but only one character set
per database last time I checked. They may support Unicode now.

The folks at Sybase are active in multilingual computing, but
I haven't seen much come out that's visible.

Excell in Office 97 is supposed to be Unicode now. Certainly
Word is. This means that the same file can be used with any
language version.

Hope this helps.

Regards,
Jake

On Thu, 31 Jul 1997, Richard Altwarg wrote:

> I'm preparing  a survey of available multilingual databases, focusing on
> issues, strengths and weaknesses of what may be out there.  Can
> anyone help?
>
> 1. What is available?  Have you used it?  Or did you build it?  Please give
> me your comments on what is good about it, what is not?  Comments on
> personal experience with localized versions of these and other
> databases:
>
> BAAN
> SAP
> Oracle
> Sybase
> Peoplesoft
> Powerbuilder
> Tables from other word processing and spreadsheet applications
>
> 2.  Does anyone know of any published material on this subject?
>
> 3.  Does anyone know of the methodologies/approaches used by
> organizations using multilingual databases?  Are these structured or ad
> hoc?  Please describe.
>
> If you will send private email requesting same, I would be happy to share
> my findings with any interested parties.
>
> Richard Altwarg
> International Development Coordinator
> TAPPI
> Tel: 770-209-7388
> Fax: 770-209-7315
> [email-masked]
>